# Query Payment Orders

### **Request** URL <a href="#payin-by-creditcard" id="payin-by-creditcard"></a>

`POST` `/remittance/payment/query-orders`

### **Request Body**

&#x20;**Refer to :** [**common**](/remittance-api/common.md)

&#x20;**Biz\_data**&#x20;

<table><thead><tr><th width="325">Name</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>merchant_id</td><td>long</td><td>Merchant ID</td></tr><tr><td>order_no</td><td>string</td><td>Order number. Globally unique.</td></tr><tr><td>order_status</td><td>integer</td><td><p>Order status</p><p>Refer to <a href="/pages/SQgzx3g9EUhBdeJLOk4p">Order Status</a></p></td></tr><tr><td>account_no</td><td>string</td><td>Bank Account Number/IBAN</td></tr><tr><td>start_date<mark style="color:red;">*</mark></td><td>string</td><td>Begin time</td></tr><tr><td>end_date<mark style="color:red;">*</mark></td><td>string</td><td>End time</td></tr><tr><td>page_num</td><td>int</td><td>Page number</td></tr><tr><td>page_size</td><td>int</td><td>Page size</td></tr></tbody></table>

{% hint style="info" %}
query max time range 7 days
{% endhint %}

### Response <a href="#example" id="example"></a>

{% tabs %}
{% tab title="200:submit successfully" %}

```
{
    "code": "10000",
    "msg": "Success",
    "data":[],
    "total":10,
    "random_key":"abssdddd2wdw==",
    "sign_type": "RSA",
    "app_id": "2017051914172236111"
}
```

{% endtab %}

{% tab title="400: invalid-signature" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "invalid-signature",
    "sub_msg": "invalid signature"
}
```

{% endtab %}
{% endtabs %}

| Name                                            | Type    | Description                                                                               |
| ----------------------------------------------- | ------- | ----------------------------------------------------------------------------------------- |
| order\_id<mark style="color:red;">\*</mark>     | long    | Order ID                                                                                  |
| merchant\_id<mark style="color:red;">\*</mark>  | long    | Merchant ID                                                                               |
| account\_no<mark style="color:red;">\*</mark>   | string  | Account Number                                                                            |
| transaction\_id                                 | long    | Transaction ID                                                                            |
| order\_no<mark style="color:red;">\*</mark>     | string  | Order Number                                                                              |
| order\_status<mark style="color:red;">\*</mark> | integer | <p>Order Status</p><p>Refer to <a href="/pages/SQgzx3g9EUhBdeJLOk4p">Order Status</a></p> |
| audit\_status                                   | integer | <p>Audit Status</p><p>Refer to <a href="/pages/iOqurMdqIAARexrLYG4t">Status</a></p>       |
| bank\_country                                   | string  | Bank Country                                                                              |
| payment\_currency                               | string  | Payment currency                                                                          |
| payment\_amount                                 | string  | Payment amount                                                                            |
| fee                                             | string  | Service Fee                                                                               |
| payed\_at                                       | string  | Payed At                                                                                  |
| refund\_transaction\_id                         | long    | Refund Transaction ID                                                                     |
| return\_fee                                     | string  | Return Fee                                                                                |
| refunded\_at                                    | string  | Refunded At                                                                               |
| beneficiary\_name                               | string  | Beneficiary Name                                                                          |
| beneficiary\_id                                 | long    | Beneficiary ID                                                                            |
| reference                                       | string  | Reference                                                                                 |
| error\_message                                  | string  | Error Message                                                                             |
| created\_at                                     | string  | <p>Create At</p><p>Format: yyyy-MM-dd HH:mm:ss</p>                                        |

### Example <a href="#example" id="example"></a>

```

curl --location --request POST 'https://rem-api-sandbox.pagsmile.com/remittance/payment/query-orders' \
--header 'Content-Type: application/json' \
--data-raw '
{
    "partner_id": "000000000000001",
    "app_id": "162051914172236138",
    "timestamp": "2011-09-23 04:24:03",
    "format": "JSON",
    "version": "2.0",
    "random_key": "jJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElE",
    "request_id": "F6bEd39c-EecF-C1a2-AFcb-bA9BAeC8",
    "sign_type": "RSA",
    "biz_data": "jJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElEjJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElE"
}'
```

```
```

Note: **162\*\*\*\*\*\*\*\*\*\*\*\*38**  is pagsmile's test app id for sandbox

Please use your own **app\_id** when testing.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pagsmile.com/remittance-api/business/payment/query-payment-orders.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
